about summary refs log tree commit diff
path: root/tests/lang.sh
diff options
context:
space:
mode:
authorEelco Dolstra <e.dolstra@tudelft.nl>2012-01-03T00·16+0000
committerEelco Dolstra <e.dolstra@tudelft.nl>2012-01-03T00·16+0000
commit48cea0d01ef48733ab38a73a20611f63aeb1b5cc (patch)
treefec81ee5b47b14d6a58ee0b0e86458072efbda4a /tests/lang.sh
parent93e71e6ab68d9662441289a02448c47069beeb2a (diff)
* Refactoring: Get rid of a few subdirectories in corepkgs/, and some
  other simplifications.
* Use <nix/...> to locate the corepkgs.  This allows them to be
  overriden through $NIX_PATH.
* Use bash's pipefail option in the NAR builder so that we don't need
  to create a temporary file.

Diffstat (limited to 'tests/lang.sh')
-rw-r--r--tests/lang.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/lang.sh b/tests/lang.sh
index c9fc65e6ac..cab1cfd9b0 100644
--- a/tests/lang.sh
+++ b/tests/lang.sh
@@ -40,7 +40,7 @@ for i in lang/eval-okay-*.nix; do
         if test -e lang/$i.flags; then
             flags=$(cat lang/$i.flags)
         fi
-        if ! NIX_PATH=lang/dir3:lang/dir4 nix-instantiate $flags --eval-only --strict lang/$i.nix > lang/$i.out; then
+        if ! NIX_PATH=lang/dir3:lang/dir4:$NIX_PATH nix-instantiate $flags --eval-only --strict lang/$i.nix > lang/$i.out; then
             echo "FAIL: $i should evaluate"
             fail=1
         elif ! diff lang/$i.out lang/$i.exp; then